#
# spec file for package gnome-menus (Version 2.16.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base acl atk attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig freetype2 gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz gnome-common gnome-filesystem gnome-patch-translation gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk2 gzip hal hal-devel info insserv intltool klogd less libacl libattr libbonobo libbonobo-devel libcom_err libdrm libgcc libglade2 libgssapi libjpeg libmudflap libnscd libpng libstdc++ libsvg libsvg-cairo libtool libusb libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python python-cairo python-devel python-gtk python-numeric rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-libs zlib zlib-devel

Name:           gnome-menus
BuildRequires:  gnome-common gnome-patch-translation gnome-vfs2-devel intltool perl-XML-Parser python-devel python-gtk
%define prefix   /opt/gnome
%define sysconfdir /etc
License:        GNU Free Documentation License, Version 1.1 (GFDL), GNU General Public License (GPL)
Group:          System/GUI/GNOME
Autoreqprov:    on
Obsoletes:      gnome-core
Version:        2.16.1
Release:        38.11
Summary:        The GNOME Desktop Menu
Source:         gnome-menus-%{version}.tar.bz2
Source1:        preferences.menu
Source2:        applications.menu
Source3:        Hidden.directory
Source4:        settings.menu
Source5:        Gnomecc-Hardware.directory.in
Source6:        Gnomecc-LookAndFeel.directory.in
Source7:        Gnomecc-Personal.directory.in
Source8:        Gnomecc-System.directory.in
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch:          gnome-desktop-ximian-menus.patch
Patch2:         gnome-menus-preferences-no-merge.patch
Patch3:         gnome-menus-x-suse-unimportant.patch
Patch6:         gnome-menus-gnome-vfs.patch
Patch7:         gnome-menus-preferences.patch

%py_requires

%description
This package is free software and is part of the GNOME project.

The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:

http://www.freedesktop.org/Standards/menu-spec

Also contained here are the GNOME menu layout configuration files,
.directory files, and assorted menu-related utility programs.



Authors:
--------
    Havoc Pennington <hp@redhat.com>
    Mark McLoughlin <mark@skynet.ie>

%debug_package
%package devel
Summary:        The GNOME Desktop Menu
Group:          System/GUI/GNOME
Autoreqprov:    on
Requires:       gnome-menus = %{version}
Requires:       glib2-devel gnome-vfs2-devel

%description devel
This package is free software and is part of the GNOME project.

The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:

http://www.freedesktop.org/Standards/menu-spec

Also contained here are the GNOME menu layout configuration files,
.directory files, and assorted menu-related utility programs.



Authors:
--------
    Havoc Pennington <hp@redhat.com>
    Mark McLoughlin <mark@skynet.ie>

%prep
%setup -n gnome-menus-%{version} 
gnome-patch-translation-prepare
%patch -p1
%patch2 -p1
%patch3
%patch6
# Icons for these desktop directories are part of control-center2.
# Never mind, because these directory files are used only by
# gnome-control-center.
cp -a %{S:5} %{S:6} %{S:7} %{S:8} desktop-directories/
%patch7
gnome-patch-translation-update

%build
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --mandir=%prefix/share/man \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde3 \
    --with-gnome-distributor="SUSE" \
    --enable-platform-gnome2 
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
#for xml in $RPM_BUILD_ROOT%{prefix}/share/gnome/help/*/*/*.xml; do
#    if echo $xml | egrep 'share/gnome/help/([^/]*)/[^/]*/\1\.xml$' > /dev/null; then
#	meinproc --check --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
#    fi
#done
mv $RPM_BUILD_ROOT%{sysconfdir}/xdg/menus/preferences.menu $RPM_BUILD_ROOT%{sysconfdir}/xdg/menus/preferences-gnome.menu
cp %{S:1} $RPM_BUILD_ROOT%{sysconfdir}/xdg/menus/
rm $RPM_BUILD_ROOT%{sysconfdir}/xdg/menus/applications.menu
cp %{S:2} $RPM_BUILD_ROOT%{sysconfdir}/xdg/menus/applications.menu.gnome
cp %{S:3} $RPM_BUILD_ROOT%{prefix}/share/desktop-directories/
cp %{S:4} $RPM_BUILD_ROOT%{sysconfdir}/xdg/menus/
for dir in %prefix/%{_lib}/python%py_ver/site-packages ; do
    find $RPM_BUILD_ROOT/$dir \( -name '*.py[co]' -o -name '*.la' \) -print0 | xargs -0 rm
    python %_libdir/python%py_ver/compileall.py -d $dir $RPM_BUILD_ROOT/$dir
    mkdir -p $RPM_BUILD_ROOT/%py_sitedir
    mv $RPM_BUILD_ROOT/$dir/* $RPM_BUILD_ROOT/%py_sitedir/
done
rm $RPM_BUILD_ROOT/%py_sitedir/gmenu.a

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f %files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{prefix}/bin/*
#%dir %{sysconfdir}/xdg
%dir %{sysconfdir}/xdg/menus
%{sysconfdir}/xdg/menus/*
%dir %{prefix}/share/desktop-directories
%{prefix}/share/desktop-directories/*.directory
%{prefix}/share/applications/gmenu-simple-editor.desktop
%{prefix}/%_lib/lib*.so.*
%{py_sitedir}/GMenuSimpleEditor
%{py_sitedir}/gmenu.so
%{prefix}/share/gnome-menus

%files devel
%defattr (-, root, root)
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/%_lib/lib*.so
%{prefix}/%_lib/lib*.*a
%{prefix}/include/gnome-menus

%changelog
* Fri Dec 22 2006 - sreeves@suse.de
- ver 2.16 of gnome-menus is needed for Fate#301648.
  The menu editor we will use is alacarte which requires 2.16 version
  of gnome-menus. Talked with jpr and the rev shipping with 10.2 was
  approved for submision.
* Tue Nov 21 2006 - sbrabec@suse.cz
- Do not explicitly require mDNSResponder-lib blocking avahi compat
  package.
* Fri Oct 13 2006 - danw@suse.de
- Remove dead patches
* Mon Oct 02 2006 - jhargadon@suse.de
- update to version 2.16.1
- updated translations
* Tue Sep 26 2006 - jhargadon@suse.de
- added %%py_requires to the specfile for bug #207922
* Thu Sep 14 2006 - jhargadon@suse.de
- update to version 2.16.0
- updated translations
* Mon Aug 21 2006 - jhargadon@suse.de
- update to version 2.15.91
- update translations
* Wed Aug 02 2006 - gekker@suse.de
- Update to version 2.15.90
  * Correctly update LT_VERSION (Vincent)
  * Add new API to know if an application should be launched in a
  terminal and to know the path to the desktop file (Travis Watkins)
  * Complete python bindings for the "No Display" flag (Travis Watkins)
  * Allow specifying alternate menu files as command line arguments
  * Start inotify support
  * Add "include NoDisplay" flag (Mark McLoughlin)
  * Fix issue where menu wouldn't fully reload after lots of
  file change events (Mark McLoughlin, Frederic Crozat)
  * Remove some unused code (Kjartan Maraas)
  * Fix incorrect escaping of C format string (The Written Word)
  * Update translations
* Tue May 02 2006 - sbrabec@suse.cz
- Moved system language settings from Personal to System (#171526).
* Wed Apr 19 2006 - sreeves@suse.de
- Fix for 152999 - Add "yast2 lan" to CC
  Fix for 152681 - Add "yast2 modem" and "yast2 dsl" to CC
* Wed Mar 29 2006 - sreeves@suse.de
- Look for new X-SuSE-ControlCenter-* category in preferences.menu
* Tue Feb 21 2006 - sbrabec@suse.cz
- Added infrastructure to allow translation of control center
  labels (144946#c12).
* Sun Feb 05 2006 - aj@suse.de
- Cleanup Requires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Dec 17 2005 - sreeves@suse.de
- Add additional yast items into control-center as per the spec
* Mon Sep 26 2005 - mls@suse.de
- make devel package require base package
* Fri Sep 09 2005 - jpr@suse.de
- Revert patch for #113531
* Tue Sep 06 2005 - sbrabec@suse.cz
- Updated to version 2.12.0.
* Wed Aug 31 2005 - clahey@suse.de
- Switch from fam to gnome-vfs.  Thanks cutch.  Fixes bug #112846.
* Wed Aug 31 2005 - clahey@suse.de
- Patch from Meeks.  Fixes bug #113531
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.92
- Remove upstreamed patch
* Thu Aug 18 2005 - clahey@suse.de
- Add patch to get rid of Applications->Applications.
* Tue Aug 16 2005 - sbrabec@suse.cz
- Do not require kdebase3.
* Tue Aug 02 2005 - gekker@suse.de
- Update to 2.11.90
* Fri Jun 17 2005 - gekker@suse.de
- Update to 2.11.1.1
* Mon Mar 14 2005 - clahey@suse.de
- Add hack to hide menus items with X-SuSE-Unimportant.
* Sat Mar 12 2005 - clahey@suse.de
- Don't merge in default merge dirs in preferences.gnome.menu.
  Fixes 72148.
* Wed Mar 09 2005 - clahey@suse.de
- Replace the first section of Desktop menu with gnomecc and YaST.
* Wed Mar 09 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Tue Mar 08 2005 - clahey@suse.de
- Replaced individual patches with a backport of the fixes in
  gnome-menus 2.10.1.
* Fri Mar 04 2005 - clahey@suse.de
- Add patches from gnome cvs for gnome bugs 168444 and 168445.
* Thu Mar 03 2005 - gekker@suse.de
- Update to version 2.9.92
- Remove upstreamed patch
* Thu Feb 24 2005 - clahey@suse.de
- Include the gnome preferences hidden in our preferences so that
  they won't appear in OnlyUnallocated <All/>.
* Mon Feb 21 2005 - gekker@suse.de
- Add patch for menus showing up twice in some cases (167758 b.g.o)
* Wed Feb 16 2005 - gekker@suse.de
- Fix control-center2 to show it's capplets (50904).
* Sun Feb 06 2005 - gekker@suse.de
- Update to version 2.9.90
* Fri Feb 04 2005 - clahey@suse.de
- Updated preferences.menu to be more correct.
* Mon Jan 24 2005 - clahey@suse.de
- Added applications.menu.
* Fri Jan 21 2005 - gekker@suse.de
- Adding package gnome-menus to distro
- Initial version 2.9.4
